Bug 860578 - [abrt] teeworlds-0.6.1-3.fc17: Process /usr/bin/teeworlds was killed by signal 11 (SIGSEGV)
[abrt] teeworlds-0.6.1-3.fc17: Process /usr/bin/teeworlds was killed by signa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: teeworlds (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:bdc8c8ba4ceef42c6f137e7fb54...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 04:27 EDT by huy tran
Modified: 2013-07-31 22:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:49:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.75 KB, text/plain)
2012-09-26 04:27 EDT, huy tran
no flags Details
File: environ (1.20 KB, text/plain)
2012-09-26 04:27 EDT, huy tran
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-26 04:28 EDT, huy tran
no flags Details
File: backtrace (32.51 KB, text/plain)
2012-09-26 04:28 EDT, huy tran
no flags Details
File: cgroup (125 bytes, text/plain)
2012-09-26 04:28 EDT, huy tran
no flags Details
File: maps (23.64 KB, text/plain)
2012-09-26 04:28 EDT, huy tran
no flags Details
File: dso_list (4.98 KB, text/plain)
2012-09-26 04:28 EDT, huy tran
no flags Details
File: var_log_messages (317 bytes, text/plain)
2012-09-26 04:28 EDT, huy tran
no flags Details
File: open_fds (140 bytes, text/plain)
2012-09-26 04:28 EDT, huy tran
no flags Details

  None (edit)
Description huy tran 2012-09-26 04:27:36 EDT
Description of problem:
was trying to play teeworlds

Version-Release number of selected component:
teeworlds-0.6.1-3.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        teeworlds
crash_function: brw_update_renderbuffer_surface
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 brw_update_renderbuffer_surface at brw_wm_surface_state.c
: #1 brw_update_renderbuffer_surfaces at brw_wm_surface_state.c
: #2 brw_upload_state at brw_state_upload.c
: #3 brw_try_draw_prims at brw_draw.c
: #4 brw_draw_prims at brw_draw.c
: #5 vbo_draw_arrays at vbo/vbo_exec_array.c
: #6 Flush at src/engine/client/graphics.cpp
: #7 CGraphics_OpenGL::Flush at src/engine/client/graphics.cpp
: #8 CGraphics_OpenGL::QuadsEnd at src/engine/client/graphics.cpp
: #9 CMenus::RenderBackground at src/game/client/components/menus.cpp
Comment 1 huy tran 2012-09-26 04:27:47 EDT
Created attachment 617451 [details]
File: core_backtrace
Comment 2 huy tran 2012-09-26 04:27:55 EDT
Created attachment 617452 [details]
File: environ
Comment 3 huy tran 2012-09-26 04:28:01 EDT
Created attachment 617453 [details]
File: limits
Comment 4 huy tran 2012-09-26 04:28:03 EDT
Created attachment 617454 [details]
File: backtrace
Comment 5 huy tran 2012-09-26 04:28:04 EDT
Created attachment 617455 [details]
File: cgroup
Comment 6 huy tran 2012-09-26 04:28:07 EDT
Created attachment 617456 [details]
File: maps
Comment 7 huy tran 2012-09-26 04:28:09 EDT
Created attachment 617457 [details]
File: dso_list
Comment 8 huy tran 2012-09-26 04:28:10 EDT
Created attachment 617458 [details]
File: var_log_messages
Comment 9 huy tran 2012-09-26 04:28:12 EDT
Created attachment 617459 [details]
File: open_fds
Comment 10 Jaroslav Škarvada 2012-10-19 08:45:46 EDT
Probably mesa issue, I can reproduce it on f17 and workaround it by:
$ xrandr --output VGA1 --mode 800x600

Also on the same machine it works correctly with mesa 9* (f18).
Comment 11 Fedora End Of Life 2013-07-03 19:48:44 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 22:49:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.